aboutsummaryrefslogtreecommitdiff
path: root/ci/lint/04_install.sh
diff options
context:
space:
mode:
authorfanquake <fanquake@gmail.com>2023-11-13 13:46:57 +0000
committerfanquake <fanquake@gmail.com>2023-11-13 14:10:54 +0000
commit63423480723de8f4da67e9f4a715cca15498a4ca (patch)
tree9afc80788c7c0618d11b9a2cd68d33b3c52bd41e /ci/lint/04_install.sh
parent29c2c903621f7daae26113dd2902c016b56929d4 (diff)
parentbbbbdb0cd57d75a06357d2811363d30a498f4499 (diff)
downloadbitcoin-63423480723de8f4da67e9f4a715cca15498a4ca.tar.xz
Merge bitcoin/bitcoin#28076: util: Replace std::filesystem with util/fs.h
bbbbdb0cd57d75a06357d2811363d30a498f4499 ci: Add filesystem lint check (MarcoFalke) fada2f91108a56cc5c447bd6b6fac411e4d5cdca refactor: Replace <filesystem> with <util/fs.h> (MarcoFalke) Pull request description: Using `std::filesystem` is problematic: * There is a `fs` namespace wrapper for it. So having two ways to achieve the same is confusing. * Not using the `fs` wrapper is dangerous and buggy, because it disables known bugs by deleting problematic functions. Fix all issues by removing use of it and adding a linter to avoid using it again in the future. ACKs for top commit: TheCharlatan: ACK bbbbdb0cd57d75a06357d2811363d30a498f4499 fanquake: ACK bbbbdb0cd57d75a06357d2811363d30a498f4499 🦀 Tree-SHA512: 0e2d49742b08eb2635e6fce41485277cb9c40fe20b81017c391d3472a43787db1278a236825714ca1e41c9d2f59913865cfb0c649e3c8ab1fb598c849f80c660
Diffstat (limited to 'ci/lint/04_install.sh')
-rwxr-xr-xci/lint/04_install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/lint/04_install.sh b/ci/lint/04_install.sh
index b160406392..476417d04b 100755
--- a/ci/lint/04_install.sh
+++ b/ci/lint/04_install.sh
@@ -33,6 +33,17 @@ export PATH="${PYTHON_PATH}/bin:${PATH}"
command -v python3
python3 --version
+export LINT_RUNNER_PATH="/lint_test_runner"
+if [ ! -d "${LINT_RUNNER_PATH}" ]; then
+ ${CI_RETRY_EXE} apt-get install -y cargo
+ (
+ cd ./test/lint/test_runner || exit 1
+ cargo build
+ mkdir -p "${LINT_RUNNER_PATH}"
+ mv target/debug/test_runner "${LINT_RUNNER_PATH}"
+ )
+fi
+
${CI_RETRY_EXE} pip3 install \
codespell==2.2.5 \
flake8==6.1.0 \